

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Hyperlinks &mdash; sphinxDoc 0.0.1 documentation</title>
  

  
  
  
  

  

  
  
    

  

  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" /> 

  
  <script src="../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../index.html" class="icon icon-home"> sphinxDoc
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../sphinxTut/index.html">Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="../sphinxTut/getting_started.html">Getting Started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../sphinxTut/render_pdf.html">Render PDF from RST</a></li>
<li class="toctree-l1"><a class="reference internal" href="index.html">reStructuredText</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">sphinxDoc</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html">Docs</a> &raquo;</li>
        
      <li>Hyperlinks</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="../_sources/restructured/hyperlinks.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="hyperlinks">
<h1>Hyperlinks<a class="headerlink" href="#hyperlinks" title="Permalink to this headline">¶</a></h1>
<ul class="simple">
<li>External Links</li>
<li><dl class="first docutils">
<dt>Internal Links (Cross referencing locations)</dt>
<dd><ul class="first last">
<li>Implicit Links to Title</li>
<li>Explicit Links</li>
</ul>
</dd>
</dl>
</li>
</ul>
<div class="sidebar">
<p class="first sidebar-title">External Links</p>
<p><a class="reference external" href="http://www.sphinx-doc.org">http://www.sphinx-doc.org</a></p>
<p><a class="reference external" href="http://www.sphinx-doc.org">Sphinx Documentation</a></p>
<dl class="last docutils">
<dt><a class="reference external" href="http://www.sphinx-doc.org">sphinx docs</a></dt>
<dd></dd>
</dl>
</div>
<p><strong>External Links</strong></p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>`&lt;http://www.sphinx-doc.org&gt;`_

    `Sphinx Documentation &lt;http://www.sphinx-doc.org&gt;`_
(space between label and link name)

`sphinx docs`_
        .. _sphinx docs: http://www.sphinx-doc.org
</pre></div>
</div>
<div class="line-block">
<div class="line"><br /></div>
</div>
<div class="sidebar">
<p class="first sidebar-title">Internal Links</p>
<p><a class="reference internal" href="#hyperlinks">HyperLinks</a> <em>(Implicit Link to Title)</em></p>
<p><a class="reference internal" href="../sphinxTut/index.html#overview"><span class="std std-ref">Overview</span></a> <em>(Explicit Links)</em></p>
<p class="last"><a class="reference internal" href="../index.html#index"><span class="std std-ref">Sphinx documentation</span></a></p>
</div>
<p><strong>Implicit Links to Title</strong>
<em>(if title and links are within same rst file)</em>:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>`Hyperlinks`_
</pre></div>
</div>
<p><strong>Explicit Links</strong>
<em>(label is to be defined at the top of documentation)</em>:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">..</span> <span class="n">_overview</span><span class="p">:</span>
</pre></div>
</div>
<p>Label can be referred in two ways:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>overview_ (link appeared as a label name)

:ref:`overview` (link appeared as a Title Name, &#39;ref&#39; is used to link external RST file)
</pre></div>
</div>
</div>


           </div>
           
          </div>
          <footer>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2018, Rijju Maharjan.

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../',
            VERSION:'0.0.1',
            LANGUAGE:'None',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true,
            SOURCELINK_SUFFIX: '.txt'
        };
    </script>
      <script type="text/javascript" src="../_static/jquery.js"></script>
      <script type="text/javascript" src="../_static/underscore.js"></script>
      <script type="text/javascript" src="../_static/doctools.js"></script>

  

  <script type="text/javascript" src="../_static/js/theme.js"></script>

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>